WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Comment Sorter

Allows readers to choose the comment sort order and allows for filtering of Trackbacks/Pingbacks.

The Comment Sorter interface isn't showing or isn't doing anything. What's wrong?

Make sure that your comment list has the class "commentlist". This is the default class for the comments section and some theme authors do not use this.

If the interface fails to show up, you can try inserting it manually using the template tag. Go into the admin panel and set "Disable Auto-Include" to "Yes" and insert the following template tag above your comments section:

<?php if (function_exists("raproject_getCommentSorter")) { raproject_getCommentSorter(); } ?>

Why give readers the option to sort?

Because readers have different preferences on how they want to read comments. Some prefer to read comments without Trackbacks/Pingbacks interspersed. Some prefer to read the latest comment at the top of the comment's section instead of the bottom.

Why would admin want to disable Trackbacks/Pingbacks?

Not all readers like having Trackbacks/Pingbacks shown with the regular comments.

Does this plugin separate Comments and Trackbacks?

Unfortunately no. There's no way (from what I've seen) to separate Comments and Trackbacks without modifying template files.

This plugin causes other comment plugins to not work. What's wrong?

When a reader uses the sort options, any plugins that rely on events to modify the comments section will not work. There is not an elegant solution to this problem unfortunately.

If the reader chooses to have the plugin remember their settings, the comment section will be made re-compatible with other plugins after a refresh.

What browsers is this plugin compatible with?

This plugin has been tested successfully on Firefox 2.0, Safari 3.0, IE 6 & 7. This plugin does not work on IE 5.5.

Requires: 2.2 or higher
Compatible up to: 2.5
Last Updated: 2008-3-8
Downloads: 4,455

Ratings

4 stars
4.8 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1
0,1,0